Bug 56281 - German OK and Cancel buttons show ~
Summary: German OK and Cancel buttons show ~
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:3.7.0 target:3.6.3 target:3.5.8
Keywords:
Depends on:
Blocks: mab3.5
  Show dependency treegraph
 
Reported: 2012-10-22 12:30 UTC by Caolán McNamara
Modified: 2013-01-23 15:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2012-10-22 12:30:50 UTC
commit 5509b3abdd66b475f7b7b7171614cd925efdb844 in translations changed the translation of OK and Cancel for german to contain ~ to markup the accelerator key. This has the odd result of showing a literal ~ under Unix. See vcl/source/control/button.cxx for the odd code there which is unix-specific to add ~ to the string, resulting in doubled ~
Comment 1 Not Assigned 2012-10-22 12:39:57 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=920807d4491834cd88e545fdb930c9105d58c4cd

Resolves: rhbz#868479 / fdo#56281 doubled ~ in German ok/cancel translations



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2012-10-22 15:54:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47a8db922ee6980c540c2223be5452bc6b2b2bbb&g=libreoffice-3-6

Resolves: rhbz#868479 / fdo#56281 doubled ~ in German ok/cancel translations


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-10-22 16:07:30 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1141d04daea3a0091c2d7533018dbe17e5b5a8bd&g=libreoffice-3-5

Resolves: rhbz#868479 / fdo#56281 doubled ~ in German ok/cancel translations


It will be available in LibreOffice 3.5.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Roman Eisele 2012-10-23 07:42:29 UTC
@ Caolán:
Thank you for fixing this issue! It was very annoying on Mac OS X, too: no loss of functionality at all, but just making LibO look unprofessional ...
Comment 5 Not Assigned 2012-10-23 10:07:25 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dbcf00ffe16e61a9fbd7f58c6ed0c644d2e81ca&g=libreoffice-3-6-3

Resolves: rhbz#868479 / fdo#56281 doubled ~ in German ok/cancel translations


It will be available already in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.